#!/bin/bash

# required to have civilized globs with bash
shopt -s extglob

# grab the P4Web host:port, server host:port, and p4 binary location
# setting the Perforce user makes client/label/branch queries work
addr=$1
p4port=$2
p4=$3
user=$4
browser=$5

# read the text and trim off useless curly braces Automator adds
read arg
arg=`echo $arg | cut -d"{" -f 1`

# see if the passsed in arg matches up with something in Perforce
# and display it
case "$arg" in
+([0-9])) # changelists
    open -a "$browser" $addr/$arg?ac=10
    ;;
job+([0-9])) # jobs
    open -a "$browser" $addr/$arg?ac=135
    ;;
CALL\#+([0-9])) # calltrack
    call=`echo "$arg" | cut -d"#" -f 2`
    open -a "$browser" http://calltrack.perforce.com/cgi-bin/detail?call=$call
    exit 0
    ;;
//*...) # depot paths
    path=`echo "$arg" | sed "s/\.\.\.//"`
    open -a "$browser" "$addr$path?ac=43&mx=100"
    exit 0
    ;;
//*) # depot paths
    open -a "$browser" $addr$arg?ac=22
    exit 0
    ;;
*) # labels/clients/branches

    # see if it's a label
    o=`$p4 -p $p4port -u $user labels -e "$arg"`

    if test -n "$o"
    then
        open -a "$browser" $addr/$arg?ac=16
        exit 0
    fi
    
    # see if it's a client 
    o=`$p4 -p $p4port -u $user clients -e "$arg"`
    if test -n "$o"
    then
        open -a "$browser" $addr/$arg?ac=15
        exit 0
    fi

    # see if it's a branch 
    o=`$p4 -p $p4port -u $user branches -e $arg`
    if test -n "$o"
    then
        open -a "$browser" $addr/$arg?ac=14
        exit 0
    fi
    ;;
esac

