//
//  FileSystemWatcher.h
//  Pulse
//
//  Created by Matt Attaway on 1/9/14.
//  Copyright (c) 2014 Zen of the Monkey. All rights reserved.
//

#import <Foundation/Foundation.h>
@class PLSFileEvent;

@protocol FileSystemWatcherDelegate <NSObject>
@required
- (void)fileEvent:(PLSFileEvent*)event;
@end

@interface FileSystemWatcher : NSObject
{
    
@private

    FSEventStreamRef	stream;
    NSObject< FileSystemWatcherDelegate >* listener;
    
}

- (void)dealloc;

- (void)watchPath:(NSString*)path target:(NSObject< FileSystemWatcherDelegate > *)target;
- (void)fileEvent:(PLSFileEvent*)event;

- (void)startWatching;
- (void)pauseWatching;
- (void)stopWatching;

@end
