//
//  PLSConnection.h
//  Pulse
//
//  Created by Matt Attaway on 2/1/14.
//  Copyright (c) 2014 Zen of the Monkey. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_OPTIONS(NSUInteger, P4ConnectionReconcileOptions)
{
    P4ConnectionReconcileAddOption    = 0x00000001,
    P4ConnectionReconcileEditOption   = 0x00000002,
    P4ConnectionReconcileDeleteOption = 0x00000004
};

typedef NS_OPTIONS(NSUInteger, P4ConnectionRevertOptions)
{
    P4ConnectionRevertServerOnlyOption    = 0x00000001
};

@class P4Message;

@interface P4Connection : NSObject

@property (strong) NSString* port;
@property (strong) NSString* user;
@property (strong) NSString* client;
@property (strong) NSString* path;
@property (strong) NSString* p4path;
@property (strong) NSString* charset;

- (id)initWithSettings:(NSString*)port user:(NSString*)user client:(NSString*)client path:(NSString*)path charset:(NSString*)charset;

- (P4Message*)reconcilePath:(NSString*)path options:(NSUInteger)opts;
- (P4Message*)reconcilePaths:(NSArray*)paths options:(NSUInteger)opts;

- (P4Message*)revertPath:(NSString*)path options:(NSUInteger)opts;
- (P4Message*)revertPaths:(NSArray*)paths options:(NSUInteger)opts;

- (P4Message*)submit:(NSString*)description;
- (P4Message*)syncFiles:(NSString*)path;
- (P4Message*)getLatestChangeInClient;
- (P4Message*)getChanges:(NSInteger)high low:(NSInteger)low;
- (P4Message*)login:(NSString*)password;



- (BOOL)isConnected;
- (BOOL)isLoggedIn;

@end
