#!/usr/bin/env bash

# Copyright (c) 2013, Matthew Attaway
# All rights reserved.

# Redistribution and use in source and binary forms, with or without modification,
# are permitted provided that the following conditions are met:
#
#     Redistributions of source code must retain the above copyright notice, this 
#     list of conditions and the following disclaimer.
#
#     Redistributions in binary form must reproduce the above copyright notice, 
#     this list of conditions and the following disclaimer in the documentation 
#     and/or other materials provided with the distribution.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
# IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#
# this script rejects submits that are not branches or integs that resolved using -as
# 
# The trigger entry is:
# no_edits change-submit //... "bash noedits.sh %clienthost% %client% %changelist% %serverport%"

IFS='
'
for action in $(p4 -p $4 describe $3 | grep -e '^\.\.\.' )
do
	if ([[ "$action" != *" branch" ]]) && ([[ "$action" != *" integrate" ]])
	then
		echo "Branched files only!"
		exit 1
    fi
done

for action in $(p4 -p $4 -H $1 -c $2 resolved)
do
	echo $action
    if ([[ "$action" != *"branch from"* ]]) && ([[ "$action" != *"copy from"* ]]) && ([[ "$action" != *"import from"* ]])
    then
        echo "No making edits to the branched files"
        exit 1
    fi
done


exit 0
