import java.util.Date;
import java.util.List;
import java.util.Calendar;

import com.perforce.p4java.client.IClient;
import com.perforce.p4java.core.ChangelistStatus;
import com.perforce.p4java.core.IChangelist;
import com.perforce.p4java.core.IChangelistSummary;
import com.perforce.p4java.core.file.FileSpecBuilder;
import com.perforce.p4java.core.file.FileSpecOpStatus;
import com.perforce.p4java.core.file.IFileSpec;
import com.perforce.p4java.exception.P4JavaException;
import com.perforce.p4java.exception.RequestException;
import com.perforce.p4java.impl.generic.core.Changelist;
import com.perforce.p4java.impl.mapbased.server.Server;
import com.perforce.p4java.server.IOptionsServer;
import com.perforce.p4java.server.ServerFactory;
import com.perforce.p4java.option.server.GetChangelistsOptions;
import com.perforce.p4java.core.ViewMap;
import com.perforce.p4java.core.IBranchSpec;
import com.perforce.p4java.core.IBranchSpecSummary;
import com.perforce.p4java.core.IBranchMapping;
import com.perforce.p4java.impl.generic.core.BranchSpec;
import com.perforce.p4java.impl.generic.core.BranchSpecSummary;
import com.perforce.p4java.exception.AccessException;
import com.perforce.p4java.exception.RequestException;
import com.perforce.p4java.exception.ConnectionException;

public class SimpleTestApp {

	public static void main(String[] args) {
		try {		
			IOptionsServer server = ServerFactory.getOptionsServer("p4java://localhost:1777", null);
			
			server.setUserName("matt");
			server.connect();
			IClient client = server.getClient("mac-matt");

			server.setCurrentClient(client);

			BranchSpec.BranchViewMapping me = null;

			ViewMap<IBranchMapping> vm = new ViewMap<>();
            String srcspec = "//depot/mainline/file1.cpp";
            String dstspec = "//depot/tst/file1.cpp";

            me = new BranchSpec.BranchViewMapping();
            me.setSourceSpec(srcspec);
            me.setTargetSpec(srcspec);              
            vm.addEntry(me);    

            String name = "test_branch";
            String ownerName = "matt";
            String description = "Create branch for testing by matt";
            Date accessed = Calendar.getInstance().getTime();

            boolean locked = false;

            IBranchSpecSummary ibss = new BranchSpecSummary(true, accessed, accessed, name, ownerName, description, locked);
            IBranchSpec ibs = null;

            try {
            	ibs = new BranchSpec(name, ownerName, description, locked, accessed, accessed, vm);
            	server.createBranchSpec(ibs);

            } catch (ConnectionException | RequestException | AccessException e) {}
        } catch (Exception e) {}
    }
}